/*
 * counter.c
 *
 *  Created on: 04-06-2018
 *      Author: Krzysztof Jakubczyk
 */

#include <math.h>

#include "tdefs.h"
#include "misc.h"

#include "helper.h"
#include "const_flt.h"

int const_flt_initlog(void *arguments, void *logic)
{
	struct const_flt_args *args = (struct const_flt_args *)arguments;
	struct const_flt_logic *log = (struct const_flt_logic *)logic;

	if(set_float_ptr(args->io.out_float_out,&log->out))
		return -1;

	*log->out=(float)args->params.val;

	return 0;
}

